---
apiVersion: v1
kind: ServiceAccount
metadata:
  name: prometheus
  namespace: {{.Values.namespace}}
  labels:
    app.kubernetes.io/entity: prometheus
    {{- include "elrond.labels" . | nindent 4 }}
---
apiVersion: rbac.authorization.k8s.io/v1beta1
kind: ClusterRoleBinding
metadata:
  name: prometheus
  labels:
    app.kubernetes.io/entity: prometheus
    {{- include "elrond.labels" . | nindent 4 }}
subjects:
  - kind: ServiceAccount
    name: prometheus
    namespace: {{.Values.namespace}}
roleRef:
  kind: ClusterRole
  name: cluster-admin
  apiGroup: rbac.authorization.k8s.io
